%{?nodejs_find_provides_and_requires}

%global packagename grunt-contrib-jshint
%global github_tag_hash 730434875b15d79970b736aadac246cfc400bfe4
%global enable_tests 0
# tests disabled due to failing tests (variables defined but not used)

Name:		nodejs-grunt-contrib-jshint
Version:	0.11.3
Release:	2%{?dist}
Summary:	Validate files with JSHint

License:	MIT
URL:		https://github.com/gruntjs/grunt-contrib-jshint.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# Grab the Gruntfile.js file from upstream GitHub repo
Source1:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-jshint/%{github_tag_hash}/Gruntfile.js
# Grab the .jshintrc file from upstream GitHub repo
Source2:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-jshint/%{github_tag_hash}/.jshintrc
# Grab the .jshintignore file from upstream GitHub repo
Source3:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-jshint/%{github_tag_hash}/.jshintignore
# Grab the license file from upstream GitHub repo
Source4:	https://raw.githubusercontent.com/gruntjs/grunt-contrib-jshint/%{github_tag_hash}/LICENSE-MIT
# The test files are not included in the npm tarball.
# Source5 is generated by running Source10, which pulls from the upstream
# version control repository.
Source5:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(grunt)
BuildRequires:	npm(jshint)
BuildRequires:	npm(grunt-contrib-internal)
%endif

Requires:	nodejs

%description
Validate files with JSHint


%prep
%setup -q -n package

# copy the Gruntfile
cp -p %{SOURCE1} .
# copy the .jshintrc file
cp -p %{SOURCE2} .
# copy the .jshintignore file
cp -p %{SOURCE3} .
# copy the license file
cp -p %{SOURCE4} .

# setup the tests
%setup -q -T -D -a 5 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json tasks/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 0.11.3-2
- Rebuilt to fix packaging dependencies and tests

* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.11.3-1
- Initial packaging
